%define	name		honeyd
%define	version		0.8
%define	release		2mdk

Summary:		A Virtual Honeypot Daemon
Name:			%{name}
Version:		%{version}
Release:		%{release}
URL:			http://niels.xtdnet.nl/honeyd/
License:		BSD
Source0:		%{name}-%{version}.tar.gz
Source1:		%{name}-%{version}.tar.gz.sig
Source2:		%{name}.conf.bz2
Source3:		%{name}.init.bz2
Source4:		%{name}.sysconfig.bz2
Patch0:			%{name}.Makefile.patch.bz2
Patch1:			%{name}.nmap-prints.patch.bz2
Group:			System/Servers
PreReq:			rpm-helper
BuildRequires:		libevent-devel
BuildRequires:		libdnet-devel
BuildRequires:		libpcap-devel
BuildRequires:		flex bison
BuildRequires:      autoconf2.5
BuildRequires:      python-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-root


%description
Honeyd is a small daemon that creates virtual hosts on a network.
The hosts can be configured to run arbitrary services, and their
personality can be adapted so that they appear to be running
certain operating systems. Honeyd enables a single host to claim
multiple addresses - I have tested up to 65536 - on a LAN for
network simulation. Honeyd improves cyber security by providing
mechanisms for threat detection and assessment. It also deters
adversaries by hiding real systems in the middle of virtual
systems. 

It is possible to ping the virtual machines, or to traceroute 
them. Any type of service on the virtual machine can be simulated
according to a simple configuration file. Instead of simulating a
service, it is also possible to proxy it to another machine. 

%prep

%setup -q -n %{name}-%{version}
# (misc) this patch correct the soname of the bundled library
%patch0 -p1 -b .Makefile
# (misc) this patch remove a error message, it seems that the file
# contains two non standard value.
%patch1 -p1 -b .nmap-prints

bzcat %{SOURCE2} > %{name}.conf
bzcat %{SOURCE3} > %{name}.init
bzcat %{SOURCE4} > %{name}.sysconfig

%build
export WANT_AUTOCONF_2_5=1
aclocal
autoconf
automake
%configure2_5x --with-python
%make

cat <<EOF >README.Mandrake
This package was build with python support.

The file with /usr/share/honeyd/nmap.prints was
tweaked to remove two bogus values 
( search Mandrake in the comment ).

If you want to simulated large network, you will need
arpd, avaliable from contribs.
Use 'urpmi arpd' to install it.
EOF
%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_libdir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/scripts
install -d %{buildroot}%{_mandir}/man8

cp %{name} %{buildroot}%{_sbindir}/
cp lib%{name}.so %{buildroot}%{_libdir}/%{name}/
cp -R scripts/* %{buildroot}%{_datadir}/%{name}/scripts
cp nmap.assoc nmap.prints xprobe2.conf pf.os %{buildroot}%{_datadir}/%{name}/

cp %{name}.8 %{buildroot}%{_mandir}/man8/

cp %{name}.init %{buildroot}%{_initrddir}/%{name}
cp %{name}.conf %{buildroot}%{_sysconfdir}/
cp %{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README config.sample TODO README.Mandrake
%config(noreplace) %attr(0755,root,root) %{_initrddir}/%{name}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.conf
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0644,root,root) %{_libdir}/%{name}/lib%{name}.so
%attr(0644,root,root) %{_mandir}/man8/%{name}.8*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts/
%dir %{_libdir}/%{name}
%attr(0644,root,root) %{_datadir}/%{name}/nmap.assoc
%attr(0644,root,root) %{_datadir}/%{name}/nmap.prints
%attr(0644,root,root) %{_datadir}/%{name}/xprobe2.conf
%attr(0644,root,root) %{_datadir}/%{name}/pf.os
%attr(0755,root,root) %{_datadir}/%{name}/scripts/*

%changelog

* Sat Feb 28 2004 Michael Scherer <misc@mandrake.org> 0.8-2mdk
- [DIRM]
- autoconf2.5 fix
 
* Fri Jan 23 2004 Michael Scherer <misc@mandrake.org> 0.8-1mdk
- 0.8
- rediff patch #1
 
* Mon Dec 22 2003 Michael Scherer <misc@mandrake.org> 0.7a-1mdk 
- 0.7a
- tweak initscript
- add python support

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.6a-1mdk
- 0.6a
- fix automated build
- [DIRM]
- remove explicit Requires
- regenerate patch #0
 
* Mon May 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.5a-1mdk
- initial cooker contrib
- added S2, S3, S4, P0 & P1 with ideas from Michael Scherer
